Bug 164578 - CAN-2005-1849 zlib buffer overflows (CAN-2005-2096)
CAN-2005-1849 zlib buffer overflows (CAN-2005-2096)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-Compress-Zlib (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks: CVE-2005-1849 CVE-2005-2096
  Show dependency treegraph
 
Reported: 2005-07-28 16:46 EDT by Josh Bressers
Modified: 2008-01-29 06:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-28 17:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-07-28 16:46:09 EDT
perl-Compress-Zlib contains an internal version of the zlib source.  A number of
buffer overflow issues have been recently fixed in zlib.

See bug 163037 and bug 162391 for more information.


Ideally, we should build perl-Compress-Zlib to use the system zlib to avoid
having to rebuild it in the future.
Comment 1 Joe Orton 2005-07-28 16:58:01 EDT
It is built against the system zlib unless Something Is Wrong...

...
* Wed Apr 21 2004 Joe Orton <jorton@redhat.com> 1.33-5
- use system zlib

[root@pepsi ~]# ldd
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/Compress/Zlib/Zlib.so
        libz.so.1 => /usr/lib/libz.so.1 (0x007c1000)
        libc.so.6 => /lib/tls/libc.so.6 (0x003e6000)
        /lib/ld-linux.so.2 (0x009f6000)
Comment 2 Josh Bressers 2005-07-28 17:05:22 EDT
Yes, you are right.  I hadn't checked this myself.  mjc ran a tool over FC4 and
this one popped up.

Note You need to log in before you can comment on or make changes to this bug.